summaryrefslogtreecommitdiffstats
path: root/www/nvu/pkg-install.in
diff options
context:
space:
mode:
Diffstat (limited to 'www/nvu/pkg-install.in')
-rw-r--r--www/nvu/pkg-install.in33
1 files changed, 33 insertions, 0 deletions
diff --git a/www/nvu/pkg-install.in b/www/nvu/pkg-install.in
new file mode 100644
index 000000000..558e2da3e
--- /dev/null
+++ b/www/nvu/pkg-install.in
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# $FreeBSD$
+# $MCom$
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin:/usr/local/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xPOST-INSTALL" ] && exit 0
+
+NVUDIR=%%MOZDIR%%
+REGXPCOM=${NVUDIR}/regxpcom
+REGCHROME=${NVUDIR}/regchrome
+NVUBIN=${NVUDIR}/nvu-bin
+
+echo "===> Building Chrome's registry..."
+rm -rf ${NVUDIR}/chrome/overlayinfo
+rm -f ${NVUDIR}/chrome/*.rdf
+mkdir -p ${NVUDIR}/chrome/overlayinfo
+rm -f ${NVUDIR}/component.reg
+rm -rf ${NVUDIR}/extensions
+
+cd ${NVUDIR} || exit 1
+./run-mozilla.sh ${REGXPCOM} || true
+./run-mozilla.sh ${REGCHROME} || true
+./run-mozilla.sh ${NVUBIN} -register > /dev/null 2>&1
+
+exit 0